## autovideosrc

autovideosrc — Wrapper video source for automatically detected video source

## Properties

GstCaps * | filter-caps | Read / Write

## Types and Values

| GstAutoVideoSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstAutoDetect
                            ╰── GstAutoVideoSrc

## Implemented Interfaces

GstAutoVideoSrc implements GstChildProxy.

## Description

autovideosrc is a video src that automatically detects an appropriate video source to use. It does so by scanning the registry for all elements that have “Source” and “Video” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1

    gst-launch-1.0 -v -m autovideosrc ! xvimagesink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>, Stefan Kost <ensonic@users.sf.net>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoVideoSrc

    typedef struct _GstAutoVideoSrc GstAutoVideoSrc;

## Property Details

### The `“filter-caps”` property

      “filter-caps”              GstCaps *

Filter src candidates using these caps.

Flags: Read / Write

## See Also

autoaudiosrc, v4l2src, v4lsrc